{% extends "@Paa/Default/pageEntityFormGrille.html.twig" %}

{% block datatable_title %}
    <p id="SemaineActu" style="display: none"></p>
    <th id="iidActivite" style="display: none">Id</th>
{# MG 20192611 old           #}
    {#<th id="iactibase">Activité de base</th> 
    <th id="mremarque">Remarque</th>#}
    {#  MG 20192611 début          #}
    <th id="iactibase">Activité de base</th>
    <th id="igroupes">Groupes</th>
    <th id="iintervenants">Intervenants</th>
    <th id="mremarques">Remarques</th>
    <th id="mseances">Seances</th>
    {# MG 20192611 fin            #}
{% endblock %}

{% block datatable_body %}

    {% set iRow = 0 %}
    
    {% for row in poListeEntités %}
        {%if row.iactibase.isousgroupe is defined %}
            {%if row.iactibase.isousgroupe.iidActisousgroupe > 0 %}
                <tr>
        {# MG 20192611 old           #}
                    {#<td id ="row_{{ iRow|raw }}_iidActivite" style="display: none" name="{{ row.iidActivite }}"> {{ row.iidActivite }} </td>
                    {% if row.iactibase.cnom is defined %}
                        <td id ="row_{{ iRow|raw }}_iactibase"> {{ row.iactibase.cnom }} </td>
                    {% else %}
                        <td>NULL</td>
                    {% endif %}
                    <td id ="row_{{ iRow|raw }}_mremarque"> {{ row.mremarque }} </td>#}
        {#  MG 20192611 début          #}
                    <td id ="row_{{ iRow|raw }}_iidActivite" style="display: none" name="{{ row.iidActivite }}"> {{ row.iidActivite|trim }} </td>
                    {% if row.iactibase.cnom is defined %}
                        <td id ="row_{{ iRow|raw }}_iactibase"> {{ row.iactibase.cnom|trim }} </td>
                    {% else %}
                        <td>NULL</td>
                    {% endif %}
                    <td>
                    {% for listeGroupe in row.groupes%}
                        {% if row.groupes|length > 1%}
                            {{ listeGroupe|trim }}, 
                        {% else %}
                            {{ listeGroupe|trim }}
                        {% endif %}        
                    {%endfor%}
                    </td>
                    <td>
                    {% for listeIntervenant in row.intervenants%}
                        {% if row.intervenants|length > 1%}
                            {{ listeIntervenant|trim }}, 
                        {% else %}
                            {{ listeIntervenant|trim }}
                        {% endif %}        
                    {%endfor%}
                    </td>
                    <td id ="row_{{ iRow|raw }}_mremarque"> {{ row.mremarque }} </td>
                    <td>
                    {% if row.iidActivite.mlstseances is defined%}
                        {% for listeSeance in row.iidActivite.mlstseances%}
                            {% if row.intervenants|length > 1%}
                                {{ listeSeance|trim }}, 
                            {% else %}
                                {{ listeSeance|trim }}
                            {% endif %}       
                        {% endfor %}         
                    {% endif %}
                    </td>
                </tr>
            {% endif %}
        {% endif %}
{# MG 20192611 fin#}            
        {% set iRow = iRow + 1%}
    {% endfor %}
{% endblock %}
